:root {
  --controls-color: #ededed;
  --primary-knap-color: #666666; /* global scope */
  --secondary-knap-color: white; /* global scope */
  --primary-text-color: white; /* global scope */
  --secondary-text-color: black; /* global scope */
  --baggrund-color: #848484;
  --submit-color: #262626;
}

html,
body {
	height: 100dvh;
	margin: 0;
	padding: 0;
	display: flex;
  background-color: var(--baggrund-color);
  font-family: 'Helvetica';
  font-size: small;
}

canvas {
	max-width: 100%;
	max-height: 100%;
	width: auto !important;
	height: auto !important;
}

#app {
  display: flex;
  flex-direction: row;
  
}

#controls {
  padding: 6px;
  margin: 0;
  box-sizing: border-box;
  width: 350px;
  min-width: 150px;
  max-width: 800px;
  height: 100%;
  z-index: 1;
}

#nav{
  background-color: var(--controls-color);
  padding: 10px;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;
  gap: 5px;
}

#dropned{
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;
  
}

#update {
  margin-top: 20px;
}

#main {
  display: flex;
  flex-direction: column;
  padding: 0px;
  margin: 0;
  flex-grow: 1;
  min-width: 0;
  height: 90vh;
  align-items: center;
  justify-content: center;
}

#dropned-buttons {
  width: 100%;
  display: flex;
  gap: 5px;
}

#dropned-buttons sl-button {
  flex: 1;
}

#dropned-buttons sl-button::part(base) {
  width: 100%;
}

.label-on-left {
  --label-width: 6rem;
  --gap-width: 5px;
}

.label-on-left + .label-on-left {
  margin-top: var(--sl-spacing-2x-small);
}

.label-on-left::part(form-control) {
  display: grid;
  grid: auto / var(--label-width) 1fr;
  gap: var(--sl-spacing-3x-small) var(--gap-width);
  align-items: center;
}

.label-on-left::part(form-control-label) {
  text-align: left;
}

.label-on-left::part(form-control-help-text) {
  grid-column-start: 2;
}

sl-button.primary::part(base) {
  background-color: var(--primary-knap-color);
  color: var(--primary-text-color)
}

sl-button.secondary::part(base) {
  background-color: var(--secondary-knap-color);
  color: var(--secondary-text-color)
}

sl-button.submit::part(base) {
  background-color: var(--submit-color);
  color: var(--primary-text-color)
}

sl-textarea::part(textarea)::placeholder {
  font-family: 'Courier New', monospace;
}

sl-input::part(input)::placeholder {
  font-family: 'Courier New', monospace;
}

#label  {
  flex: 1;
  height: 100dvh;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  overflow: hidden;
  visibility: visible;
  inset: 0;
  padding: 50px;
}

#container {
	flex: 1;
	position: relative;
	background: #9f1515;
	width: 100%;
	height: 100dvh;
}

#threejs {
  position: absolute;
  inset: 0;
  padding: 0;
  visibility: hidden;
  pointer-events: none;
}

#threejs {
	padding: 0;
	visibility: hidden;
	pointer-events: none;
}
